com.impinj.stp

## Interface StpApi.PacketOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    StpApi.Packet, StpApi.Packet.Builder
  Enclosing class:
    StpApi

      public static interface StpApi.PacketOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `StpApi.Command` | `getCommand()` to reader
    `StpApi.CommandOrBuilder` | `getCommandOrBuilder()` to reader
    `StpApi.Report` | `getReport()` Async message to host.
    `StpApi.ReportOrBuilder` | `getReportOrBuilder()` Async message to host.
    `StpApi.Response` | `getResponse()` to host
    `StpApi.ResponseOrBuilder` | `getResponseOrBuilder()` to host
    `StpApi.Update` | `getUpdate()` Async message to reader.
    `StpApi.UpdateOrBuilder` | `getUpdateOrBuilder()` Async message to reader.
    `boolean` | `hasCommand()` to reader
    `boolean` | `hasReport()` Async message to host.
    `boolean` | `hasResponse()` to host
    `boolean` | `hasUpdate()` Async message to reader.

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasCommand

          boolean hasCommand()

      to reader

    - #### getCommand

          StpApi.Command getCommand()

      to reader

    - #### getCommandOrBuilder

          StpApi.CommandOrBuilder getCommandOrBuilder()

      to reader

    - #### hasResponse

          boolean hasResponse()

      to host

    - #### getResponse

          StpApi.Response getResponse()

      to host

    - #### getResponseOrBuilder

          StpApi.ResponseOrBuilder getResponseOrBuilder()

      to host

    - #### hasReport

          boolean hasReport()

      Async message to host.

    - #### getReport

          StpApi.Report getReport()

      Async message to host.

    - #### getReportOrBuilder

          StpApi.ReportOrBuilder getReportOrBuilder()

      Async message to host.

    - #### hasUpdate

          boolean hasUpdate()

      Async message to reader.

    - #### getUpdate

          StpApi.Update getUpdate()

      Async message to reader.

    - #### getUpdateOrBuilder

          StpApi.UpdateOrBuilder getUpdateOrBuilder()

      Async message to reader.